﻿<%@ Page Title="Gantt Chart Tutorial Project" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Register Assembly="DayPilot" Namespace="DayPilot.Web.Ui" TagPrefix="DayPilot" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent"></asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">

<div class="space">
Create a new task by selecting a date range in the first row.
</div>

        <DayPilot:DayPilotScheduler
            ID="DayPilotScheduler1" 
            runat="server" 
            DataEndField="TaskEnd"
            DataStartField="TaskStart" 
            DataTextField="TaskName" 
            DataValueField="TaskId" 
            DataResourceField="TaskId"
            Days="7"
            Scale="Day"
            EventMoveHandling="CallBack"
            ContextMenuID="DayPilotMenu1" 
            OnEventMenuClick="DayPilotCalendar1_EventMenuClick"
            EventResizeHandling="CallBack" 
            OnEventResize="DayPilotCalendar1_EventResize"
            OnEventMove="DayPilotCalendar1_EventMove"
            TimeRangeSelectedJavaScript="timeRangeSelected(start, end, resource);"
            TimeRangeSelectedHandling="JavaScript"
            EventClickHandling="JavaScript" 
            EventClickJavaScript="eventClick(e);"
            ClientObjectName="dp" 
            OnCommand="DayPilotCalendar1_Command"
            OnBeforeEventRender="DayPilotCalendar1_BeforeEventRender"
            AfterRenderJavaScript="afterRender();"
            Theme="scheduler_8"
            onbeforecellrender="DayPilotScheduler1_BeforeCellRender"
            OnBeforeTimeHeaderRender="DayPilotScheduler1_BeforeTimeHeaderRender"
            RowHeaderWidth="120"
            RowHeaderWidthAutoFit="true"
            DurationBarVisible="true"
            CellWidth="25" 
            BubbleID="BubbleEvent"
            ViewType="Resources"
            ShowToolTip="false"
        />

        <DayPilot:DayPilotMenu ID="DayPilotMenu1" runat="server" >
            <DayPilot:MenuItem Text="Edit..." Action="JavaScript" JavaScript="eventClick(e);"></DayPilot:MenuItem>
            <DayPilot:MenuItem Text="-" Action="NavigateUrl"></DayPilot:MenuItem>
            <DayPilot:MenuItem Text="Delete" Action="JavaScript" JavaScript=" if (confirm('Do you really want to delete this task?')) dp.eventMenuClickCallBack(e, 'Delete');"></DayPilot:MenuItem>
        </DayPilot:DayPilotMenu>

        <DayPilot:DayPilotBubble 
            ID="BubbleEvent" 
            runat="server" 
            ShowAfter="100"
            >
        </DayPilot:DayPilotBubble>

</asp:Content>
